Bug 444789 - xfce4-session-logout does not issue 'reboot' when restart is clicked
xfce4-session-logout does not issue 'reboot' when restart is clicked
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xfce4-session (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-30 12:15 EDT by Scott R. Godin
Modified: 2009-01-14 09:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:48:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott R. Godin 2008-04-30 12:15:07 EDT
Description of problem: when clicking the xfce4 panel widget to initiate the
logout dialog, clicking 'restart' does not issue a reboot but instead sends the
user either back to gdm at runlevel 5 or back to the console at runlevel 3 (from
where the startx command was issued)

Version-Release number of selected component (if applicable):
xfce4-session-4.4.2-1.fc8

How reproducible:
every time

Steps to Reproduce:
1. login via gdm or console + startx
2. immediately or shortly after, click panel widget that opens the logout dialog
box.
3. click the 'restart' button
  
Actual results:
user is returned to gdm or console and must issue the _actual_ reboot/restart
command from there.


Expected results:
normal restart/reboot

Additional info:
let me know if there's any additional hardware/software data that I can supply.
Comment 1 Kevin Fenzi 2008-05-11 14:55:17 EDT
Sorry for the delay here... ;(

Is there anything in your ~/.xsession about this issue? 
Is selinux enabled? Any AVC messages in /var/log/audit/audit.log ? 

Comment 2 Kevin Fenzi 2008-06-06 14:54:55 EDT
Any news? This might be a duplicate of: 
https://bugzilla.redhat.com/show_bug.cgi?id=448194

Can you provide the info requested in comment #1? 
and also, if you can provide the info requested in the above bug in comment #6
that would be great. 
Comment 3 Scott R. Godin 2008-07-17 10:24:19 EDT
no nothing in particular from .xsession, and as well SELinux is running in 
permissive 

... or was, anyway.. the power supply died on that box just recently so I've 
been living on the laptop for a while (which uses gnome, not xfce). I can 
create another account on this and test with it perhaps. but this is the reason 
for my own delay. among other RL(tm) issues :)

I'll look into the other bug and get back to you once I get the time to play 
with it on the laptop and confirm the details.. (I'd do it now but am at work)

Comment 4 Kevin Fenzi 2008-07-28 22:50:50 EDT
ok. I sure understand delays. 

Just let me know when you have a chance to look at it again. 
Comment 5 Christoph Wickert 2008-11-15 09:10:49 EST
Scott, anything new to this bug?
Comment 6 Bug Zapper 2008-11-26 05:36:54 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 02:48:04 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Christoph Wickert 2009-01-14 09:27:53 EST
This bug has been in 'needinfo' state for months without a reaction from the reporter, so just for the record I change the solution to INSUFFICIENT_DATA now.

Note You need to log in before you can comment on or make changes to this bug.